templates:
- autotools
- base

variables:
  description: Linux kernel module implementation of the EtherCAT protocol

  scm: archive
  repository: http://etherlab.org/download/ethercat/ethercat-${version-name}.tar.bz2
  branches:
  - 1.5.2
  - 1.5.1

  extra-requires:
  - nature: freestyle
    target: rtai
    version: '4.1'
  extra-provides:
  - nature: freestyle
    target: ethercat
    version: '1.5'

  configure.disable:
  - 8139too
  configure.with:
  - e1000e-kernel=3.14.17
  - rtai-dir=${toolkit.dir}
  - linux-dir=${toolkit.dir}/usr/src/linux

  post-build-hook/unix.command: |
    mkdir -p ${toolkit.dir}/usr/src
    rsync -av . ${toolkit.dir}/usr/src/ethercat-${version-name}
    rm -rf ${toolkit.dir}/usr/src/ethercat #clean old link
    ln -s ${toolkit.dir}/usr/src/ethercat-${version-name} ${toolkit.dir}/usr/src/ethercat
